Xlib: extension "GLX" missing on display ":1.0"-nvidia y dolor de cabeza

Imagen de Lagosuchus
0 puntos

Buenas compañeros.

Os cuento. Tengo la verrsión 11.04 de ubuntu y desde entonces, como mucha gente, estoy teniendo problemas con mi nvidia GeForce G210.
En un principio no me cargaba ubuntu con el kernel 2.6.38-8-generic-pae. Se quedaba en la pantalla de carga(la morada con el símbolo de ubuntu y los puntitos que se llenan.
Decidí ir al modo de recuperación y, al inicial el failsafeX, me funcionaba, pero sólo con Gnome clásico. Desde entonces, cuando inicio desde ahí me dice lo de que va a tener que iniciar mediante el modelo gráfico de baja resolución por problemas con la tarjeta gráfica o el monitor.
Así que para iniciar cogía alguna versión del kernel antigua, que sí me funciona sin problemas y con unity.

Hoy decidí arreglar el tema de la tarjeta gráfica, porque no se iba a arreglar sólo y he cogido valor. Pero vamos me he pegado una paliza, superando algunos problemas por la instalación manual del driver(no sé mucho de ordenatas) y no lo he conseguido :S.
El driver que estoy usando es la versión current.

Aquí os listo la problemática:
-2.6.38-8-generic-pae no arranca normalmente
-Su modo recuperación arranca pero no reconoce la tarjeta y se pone en modo de baja resolución y con gnome clásico.
-En controladores adicionales pone "El controlador está habilitado pero no se está usando actualmente".
-En el NVIDIA X Server Settings dice esto: "You do not appear to be using the NVIDIA X driver. Please edit your X configuration file (just run `nvidia-xconfig` as root), and restart the X server."
-Observen lo que pone en la terminal cuando cuando hace la evaluación del soporte de unity:
virginia@virginia-desktop:~$ /usr/lib/nux/unity_support_test -p
Xlib: extension "GLX" missing on display ":1.0".
Xlib: extension "GLX" missing on display ":1.0".
Xlib: extension "GLX" missing on display ":1.0".
Error: unable to create the OpenGL context

Aquí os pongo mis intentos resumidamente:
-Desinstalación del driver nouveau.
-Instalación del último driver de nvidia manualmente.
-Poner en blacklist lo siguiente: blacklist vga16fb
blacklist nouveau
blacklist rivafb
blacklist nvidiafb
blacklist rivatv
-Hacer nvidia-xconfig como root.

Por si queréis algo más de información os pongo otras cosillas de mi consola:
virginia@virginia-desktop:~$ lspci | grep nVidia
01:00.0 VGA compatible controller: nVidia Corporation GT218 [GeForce G210] (rev a2)
01:00.1 Audio device: nVidia Corporation High Definition Audio Controller (rev a1)

virginia@virginia-desktop:~$ sudo lshw -c display
[sudo] password for virginia:
*-display
description: VGA compatible controller
product: GT218 [GeForce G210]
vendor: nVidia Corporation
physical id: 0
bus info: pci@0000:01:00.0
version: a2
width: 64 bits
clock: 33MHz
capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
configuration: driver=nvidia latency=0
resources: irq:16 memory:fa000000-faffffff memory:d0000000-dfffffff memory:ce000000-cfffffff ioport:cc00(size=128) memory:fbd80000-fbdfffff
virginia@virginia-desktop:~$

No sé, es raro, es como si estuviera instalado, pero no jejeje. Vamos, es una putadilla. A ver si alguien ha tenido el mismo problema y lo ha solucionado o se os ocurre algo, porque yo ya no sé que hacer.

Un saludo cordial.

Imagen de Lagosuchus
+1
0
-1

Esto es fantástico y estupendo jejeje. Jamás me he metido en cagada igual. Ahora mi versión "standar" y habitual para entrar en ubuntu es un jodido modo de recuperación del 2.6.38-8-generic-pae.
A ver si se os ocurre algo gente porque esto es un rollo del copón.

Un abrazo compis!

+1
0
-1
Imagen de Lagosuchus
+1
0
-1

Cuando toqueteo la opción de resolver los errores al principio(opción que sale después de aceptar que se va a funcionar en baja resolución) me da un log que dice esto:
(EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module!

Prrrrrrrrfff... yo ya no sé que hacer.

+1
0
-1